aboutsummaryrefslogtreecommitdiff
path: root/selinux/compile.sh
diff options
context:
space:
mode:
authorToni Uhlig <matzeton@googlemail.com>2019-04-27 12:16:52 +0200
committerToni Uhlig <matzeton@googlemail.com>2019-04-27 12:17:10 +0200
commit61e222dd8a9a4d41e381bfcf958102bd2c02b47e (patch)
treebcbf4ce26dd912b1637ae5e899a3278cce3acfbf /selinux/compile.sh
parent6e1708c736b3db01fef175e25b94c7e4cb51fccb (diff)
parent1d0cbc46e800919aace83b0a24034b0460382f91 (diff)
Merge branch 'master' into release
Signed-off-by: Toni Uhlig <matzeton@googlemail.com>
Diffstat (limited to 'selinux/compile.sh')
-rw-r--r--selinux/compile.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/selinux/compile.sh b/selinux/compile.sh
new file mode 100644
index 0000000..f70ab1b
--- /dev/null
+++ b/selinux/compile.sh
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -x
+set -e
+
+OUTDIR="$(dirname $0)"
+checkmodule -M -m -o ${OUTDIR}/ptunnel-ng.mod ${OUTDIR}/ptunnel-ng.te
+semodule_package -o ${OUTDIR}/ptunnel-ng.pp -m ${OUTDIR}/ptunnel-ng.mod
+
+exit 0